Package com.sun.jna.platform.win32

## Class WinDef.HMODULE

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HINSTANCE
      - - com.sun.jna.platform.win32.WinDef.HMODULE

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

    public static class WinDef.HMODULE
    extends WinDef.HINSTANCE

Handle to a module. The value is the base address of the module.

### Constructor Summary

Constructors
`HMODULE()`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

`fromNative, setPointer, toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, getPointer, hashCode, nativeType, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HMODULE

    public HMODULE()